<?php

namespace ModulesGarden\WithoutDNS\CPanel\Helpers;
class Lang
{
    protected $langs;

    public function __construct()
    {
        $cpanel = $GLOBALS['cpanel'];
        $lang = $cpanel->cpanelprint('$lang');

        $langsDirectory = __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "langs" . DIRECTORY_SEPARATOR;

        if(file_exists($langsDirectory . DIRECTORY_SEPARATOR . $lang . ".php"))
        {
            $this->langs = include($langsDirectory . DIRECTORY_SEPARATOR . $lang . ".php");
        }
        else
        {
            if(file_exists($langsDirectory . DIRECTORY_SEPARATOR . "en" . ".php"))
            {
                $this->langs = include($langsDirectory . DIRECTORY_SEPARATOR . "en" . ".php");
            }
            else
            {
                $this->langs = [];
            }
        }
    }

    public function get($lang)
    {
        return $this->langs[$lang] ?? $lang . " [no lang]";
    }
}