<?php

require_once(DIRECTORY_SEPARATOR . "usr" . DIRECTORY_SEPARATOR . "local" . DIRECTORY_SEPARATOR . "cpanel" . DIRECTORY_SEPARATOR  . "php" . DIRECTORY_SEPARATOR . "cpanel.php");
require_once __DIR__ . DIRECTORY_SEPARATOR . "controllers" . DIRECTORY_SEPARATOR . "DomainsController.php";

use \ModulesGarden\WithoutDNS\CPanel\Controllers\DomainsController;

$ajax = $_REQUEST['ajax'] ?? false;

$controllerName = $_REQUEST['controller'] ?? 'domains';
$action = $_REQUEST['action'] ?? 'renderTemplate';

$cpanel = new CPANEL();

$controller = match ($controllerName) {
    default => new DomainsController(),
};

if($ajax)
{
    $result = $controller->$action();
    echo $result;
    exit();
}
else
{
    $controller->$action();
}