<?php

require_once __DIR__ . DIRECTORY_SEPARATOR . "controllers" . DIRECTORY_SEPARATOR . "APIConfigurationController.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . "controllers" . DIRECTORY_SEPARATOR . "LogsController.php";

use ModulesGarden\WithoutDNS\WHM\Controllers\APIConfigurationController;
use ModulesGarden\WithoutDNS\WHM\Controllers\LogsController;

$ajax = $_REQUEST['ajax'] ?? false;
$controllerName = $_REQUEST['controller'] ?? 'apiConfiguration';
$action = $_REQUEST['action'] ?? 'renderTemplate';

$controller = match ($controllerName) {
    'logs' => new LogsController(),
    default => new APIConfigurationController(),
};

if($ajax)
{
    $result = $controller->$action();

    echo $result;
    exit();
}
else
{
    $controller->$action();
}