<?php
    require_once "/usr/local/cpanel/php/WHM.php";

    WHM::header("WithoutDNS", 0, 0);
?>

<link rel="Stylesheet" href="./assets/jquery.dataTables.min.css">
<link rel="Stylesheet" href="./assets/buttons.dataTables.min.css">
<link rel="Stylesheet" href="./assets/bootstrap.min.css">
<link rel="Stylesheet" href="./assets/bootstrap-icons.css">
<link rel="Stylesheet" href="./assets/dataTables.bootstrap5.css">
<script src="./assets/jquery-3.7.0.js"></script>
<script src="./assets/jquery.dataTables.min.js"></script>
<script src="./assets/dataTables.buttons.min.js"></script>
<script src="./assets/bootstrap.min.js"></script>

<style>
    .row-table-success
    {
        background-color: rgba(170, 255, 40, 0.7) !important;
    }

    .row-table-danger
    {
        background-color: rgba(255, 255, 10, 0.7) !important;
    }
</style>

<div class="d-flex align-items-center">
    <img src="./assets/WithoutDNSIcon4.png" alt="Logo" class="me-3" style=" height: 50px;">
    <div>
        <h2>WithoutDNS</h2>
        <p class="small">Read more in plugin documentation: <a target="_blank" style="text-decoration: none" href="https://withoutdns.com/knowlegdebase">Documentation</a></p>
    </div>
</div>

<div class="mb-5">
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link <?php if($templateName == 'apiConfiguration'): ?> active <?php endif; ?> " <?php if($templateName == 'apiConfiguration'): ?> aria-current="page" <?php endif; ?> href="./index.php?controller=apiConfiguration">API Configuration</a>
        </li>
        <li class="nav-item">
            <a class="nav-link <?php if($templateName == 'logs'): ?> active <?php endif; ?> " <?php if($templateName == 'logs'): ?> aria-current="page" <?php endif; ?> href="./index.php?controller=logs">Logs</a>
        </li>
    </ul>
</div>

<div>
    <?php
        echo $content;
    ?>
</div>

<?php
    WHM::footer();

