<?php

namespace ModulesGarden\WithoutDNS\Share\Helpers;

class Domains
{
    public static function getDomains()
    {
        $cpanel = $GLOBALS['cpanel'];

        $data = $cpanel->uapi('DomainInfo', 'domains_data', ['format' => 'hash'])['cpanelresult']['result']['data'];

        $domains[] = ['ip_address' => $data['main_domain']['ip'], 'url' => $data['main_domain']['domain']];
        foreach (($data['parked_domains'] ?? []) as $parked) $domains[] = ['ip_address' => $domains[0]['ip_address'], 'url' => $parked];
        foreach (($data['addon_domains'] ?? []) as $addon) $domains[] = ['ip_address' => $addon['ip'], 'url' => $addon['domain']];
        foreach (($data['sub_domains'] ?? []) as $sub) $domains[] = ['ip_address' => $sub['ip'], 'url' => $sub['domain']];

        return $domains;
    }
}