#!/usr/local/cpanel/3rdparty/bin/perl

use Cpanel::Wrap ();
use Data::Dumper ();

BEGIN {
    unshift @INC, '/usr/local/cpanel';
}

sub file_wrapper {
    my $data = shift;

    my $result = Cpanel::Wrap::send_cpwrapd_request(
        'namespace' => 'WithoutDNS',
        'module' => 'getadmin',
        'function' => $data
    );

    return $result->{'data'};
}

$parameter = $ARGV[0];

if( $#ARGV > 0) {
    $data = $ARGV[1];
}

my $response = file_wrapper($parameter, $data);

print STDOUT "$response";